<?php 
include_once "../model/Datos.php";
	class ShoppingCartModel extends Datos{

		# Obtiene las ordenes de compra pendientes por el cliente
		public function getOrdenesCompra() {

			$query = $this->read("oc.orcoid, oc.orcoloid, oc.orcocabo, oc.orcovalo, oc.orcofecr, orcotoke, e.evenid, e.evennomb, e.evenimg1, e.evenmepa, loc.locanomb, cv.cavaaux1, cv.cavaaux2", "ordecompra oc, eventos e, localidades loc, catavalo cv", "oc.orcoloid = loc.locaid AND oc.orcousid = ".$_SESSION['id']." AND loc.locaevid = e.evenid AND e.evenesta = 19 AND loc.locatimo = cv.cavaid AND oc.orcoesta = 38 AND CONCAT(e.evenfech, ' ', e.evenhora) > CURRENT_TIMESTAMP");
            
			return $query;
		}

		# Obtiene la data de la orden de compra para transferir
		public function getTickets($ocId) {

			$query = $this->read("oc.orcoloid, oc.orcocabo, oc.orcotoke, oc.orcovalo, loc.locanomb", "ordecompra oc, localidades loc", "oc.orcoid = $ocId AND oc.orcousid = ".$_SESSION['id']." AND oc.orcoloid = loc.locaid");

			return $query[0];
		}

		# Captura data de orden de compra pagada
		public function getOrdenCompra($token) {

			$query = $this->read("oc.orcoid, oc.orcotoke",  "ordecompra oc", "oc.orcousid = ".$_SESSION['id']." AND oc.orcotoke = '".$token."' AND oc.orcoesta = 38");

			return $query[0];
		}
		
		# Almacena el log del proceso
		public function storePaylogs($logArray) {

			extract($logArray);

			$query = $this->create("paylogs", "paloorid, palotoor, palotipo, paloidtr, paloesta", "$orcoid, '$orcotoke', '$paymentMethod', '$transac_id', '$status'");

			return $query;
		}
	}
?>